I am stuck with snow leopard?

I just bought a 17inch Aprill 2006 2.16 Macbook Pro 1,2, model # A1151 to replace my dying pia early 2008 15inch A 1260 that has had the logicboard replaced twice now and Nvidia is still causing issues. I have been reading on Apple and wikipedia, and according to them the highest OS X I can run on the new machine is snow leopard. Am I truly stuck with that? I would think that if this pia A1260 can run OS X 10.8.5, then couldn't the new one also? I could be wrong, so I figured I would ask the mac guru's out there. Also anyone know where I can buy a logicboard for the April 2006 17inch Macbook Pro that has a faster chip then the stock 2.16?

Answered! View the answer I have this problem too

Is this a good question?

Score 0
Add a comment

1 Answer

Chosen Solution

10.6.8 (Snow Leopard) it the highest this can go as the EFI is 32bit, Sorry.

Was this answer helpful?

Score 2
Add a comment

Add your answer

Nickole Schmidt will be eternally grateful.
View Statistics:

Past 24 Hours: 0

Past 7 Days: 1

Past 30 Days: 2

All Time: 332